Package com.ocient.jdbc

# Interface XGConnection.ConfirmationSupplier<Response>

Type Parameters:
  `Response` - the type of response returned by the handler

Enclosing class:
  `XGConnection`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface XGConnection.ConfirmationSupplier<Response>

## Method Summary

Modifier and Type
Method
Description
`ClientWireProtocol.ConfirmationResponse`
`getHeader(Response response)`
Retrieves the confirmation header from the `XGConnection.ConfirmationSupplier`.

## Method Details

### getHeader

ClientWireProtocol.ConfirmationResponse getHeader(Response response) throws SQLException
Retrieves the confirmation header from the `XGConnection.ConfirmationSupplier`.

Parameters:
  `response` - the response message received from the server
Returns:
  the parsed confirmation header
Throws:
  `SQLException` - if an error occurs